#!/usr/bin/env python
# -*- coding: UTF-8 -*-

from distutils.core import setup
from os.path import join
from glob import glob

EOLEDIR = 'share/eole'
EOLE_ETC_DIR = '../etc/eole'
DICO_DIR = join(EOLE_ETC_DIR, 'dicos')
TMPL_DIR = join(EOLE_ETC_DIR, 'distrib')
TMPDIR = '../tmp/'
ROTATE_DIR = '../etc/logrotate.d'

data = [(EOLEDIR, glob('eole/*.*')),
        (DICO_DIR, ['dicos/2_mysql.xml']),
        (TMPL_DIR, glob('tmpl/*')),
        (TMPDIR, ['dicos/scribe_mysql.xml', 'dicos/preludemanager_mysql.xml']),
        (ROTATE_DIR, ['logrotate/eolesql']),
        ]

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='eolesql',
    version='2.0',
    description='Eole mysql tools',
    url='http://www.eole.orion.education.fr',
    packages=['eolesql'],
    data_files = data
)
